libetonyek::PAG1Parser Class Reference

`#include <PAG1Parser.h>`

Inheritance diagram for libetonyek::PAG1Parser:

## Public Member Functions
| PAG1Parser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package, PAGCollector &collector, PAG1Dictionary *dict)
| ~PAG1Parser () override
Public Member Functions inherited from libetonyek::IWORKParser
| IWORKParser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package)
virtual | ~IWORKParser ()=0
bool | parse ()
RVNGInputStreamPtr_t & | getInput ()
RVNGInputStreamPtr_t | getInput () const
RVNGInputStreamPtr_t & | getPackage ()
RVNGInputStreamPtr_t | getPackage () const

## Private Member Functions
IWORKXMLContextPtr_t | createDocumentContext () override
IWORKXMLContextPtr_t | createDiscardContext () override
const IWORKTokenizer & | getTokenizer () const override

## Private Attributes
PAG1ParserState | m_state

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKParser
void | setInput (const RVNGInputStreamPtr_t &input)

## Constructor & Destructor Documentation

## ◆ PAG1Parser()

libetonyek::PAG1Parser::PAG1Parser | ( | const RVNGInputStreamPtr_t & | input,
|  | const RVNGInputStreamPtr_t & | package,
|  | PAGCollector & | collector,
|  | PAG1Dictionary * | dict )

Referenced by PAG1Parser().

## ◆ ~PAG1Parser()

libetonyek::PAG1Parser::~PAG1Parser | ( |  | ) |
| override

## Member Function Documentation

## ◆ createDiscardContext()

IWORKXMLContextPtr_t libetonyek::PAG1Parser::createDiscardContext | ( |  | ) |
| override private virtual

Implements libetonyek::IWORKParser.

## ◆ createDocumentContext()

IWORKXMLContextPtr_t libetonyek::PAG1Parser::createDocumentContext | ( |  | ) |
| override private virtual

Implements libetonyek::IWORKParser.

## ◆ getTokenizer()

const IWORKTokenizer & libetonyek::PAG1Parser::getTokenizer | ( |  | ) | const
| override private virtual

Implements libetonyek::IWORKParser.

## Member Data Documentation

## ◆ m_state

PAG1ParserState libetonyek::PAG1Parser::m_state
| private

Referenced by createDiscardContext(), createDocumentContext(), and PAG1Parser().

The documentation for this class was generated from the following files:

- PAG1Parser.h
- PAG1Parser.cpp